#!/bin/sh

PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
fw_root="/tmp/fw_root"

sleep 5

/usr/local/bin/led_ctl red    blink_fast
/usr/local/bin/led_ctl yellow blink_fast
/usr/local/bin/led_ctl green  off

# stop service
init 1
/etc/init.d/udev stop

# kill safie, sinput and all background user process
killall -9 start_safie.sh
killall -9 safiecam
killall -9 sinp_check.sh
killall -9 rbt_ping.sh
killall -9 haveged

pid_tmp=`ps | grep ddclient | grep -v grep | awk '{print $1}'`
if [ -n "$pid_tmp" ]; then
	kill -9 $pid_tmp
fi
pid_tmp=`ps | grep at_cmd_cli | grep -v grep | awk '{print $1}'`
if [ -n "$pid_tmp" ]; then
	kill -9 $pid_tmp
fi

sleep 10

sync
sync
mount -o ro,remount /
sleep 2

chroot $fw_root /fw_chroot.sh

exit 0
