#!/bin/sh

smtp=$1
user=$2
passwd=$3
myaddr=$4
toaddr=$5
sub_file=$6
body_file=$7

if [ -z "$smtp" ] ||  [ -z "$user" ] ||  [ -z "$passwd" ]  ||  [ -z "$myaddr" ]  ||  [ -z "$toaddr" ]; then
        exit 1
fi


#echo "From : $myaddr, To : $toaddr"
subject=`cat $sub_file`

env LC_ALL=ja_JP.UTF-8 mailx -s $subject -S smtp-use-starttls -S ssl-verify=ignore -S smtp=$smtp:587 -S smtp-auth-user=$user -S smtp-auth-password=$passwd -S from=$myaddr $toaddr < $body_file  >/dev/null 2>&1

sleep 2

if [ -e dead.letter ]; then
        rm -f dead.letter
        exit 1
else
        exit 0
fi

