#!/bin/sh
# set reboot-schedule

config_file=/etc/setup-netcfg/user.cfg
#tmp_conf=/tmp/.tmp_cron_rbt
tmp_conf=/etc/cron.d/sched_rbt
rbt_prog=/usr/local/bin/rbt_sched.sh

# load config file
. $config_file


case "$rb_cfg" in
"month")
	if [ -z "$rb_minute" ] || [ -z "$rb_hour" ] || [ -z "$rb_day" ]; then
		exit 1
	fi
	echo "$rb_minute $rb_hour $rb_day * *  $rbt_prog" > $tmp_conf
	;;
"periodic_day")
	if [ -z "$rb_periodic_minute" ] || [ -z "$rb_periodic_hour" ] || [ -z "$rb_periodic_day" ]; then
		exit 1
	fi
	echo "$rb_periodic_minute $rb_periodic_hour */$rb_periodic_day * *  $rbt_prog" > $tmp_conf
	;;
# "disable")
*)
	/usr/bin/crontab -u root -r
	exit 0
	;;
esac


/usr/bin/crontab -u root $tmp_conf


exit 0
