#!/bin/sh

# in-prm  $1: pin,  $2:port2, $3:port4

PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
config_file=/etc/setup-netcfg/user.cfg
maildir=/www/pages/mail
body_file=/tmp/.tmpmail

# load config file
. $config_file


if [ -z $sinp_myaddr ] || [ -z $sinp_smtp ] || [ -z $sinp_user ] || [ -z $sinp_passwd ]; then
        exit 1
fi

sub_file=$maildir/sub_p$1.txt

echo "`date +"%Y年%m月%d日 %H時%M分%S秒"`にカメラルーターにて接点アラームを検知しました。" > $body_file
if [ $1 -eq 2 ]; then
	cat $maildir/body_p2.txt >> $body_file
else
	cat $maildir/body_p4.txt >> $body_file
fi

for num in `seq 1 3`; do
        addr=sinp_addr_${num}

        if [ -n "${!addr}" ]; then
                sh /usr/local/bin/send_mail.sh $sinp_smtp $sinp_user $sinp_passwd $sinp_myaddr ${!addr} $sub_file $body_file
        fi
done

