#!/bin/sh

PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"

if [ $REQUEST_METHOD != "POST" ]; then
	exit 0
fi

OIFS="$IFS"
read boundary
read disposition
read ctype
read junk

#Holy fuck, this sucks!
#Due to \n\r line breaks we have 2 extra bytes per line read, 
#6 + 2 newlines == 10 junk bytes
 
a=${#boundary}
b=${#disposition}
c=${#ctype}
a=$((a*2+b+c+10))
 
IFS="${IFS}&:"

# print env all for debug
#set $QUERY_STRING

tmp=${disposition##*filename=\"}
file=${tmp%\"*}
 
SIZE=$((HTTP_CONTENT_LENGTH-a))

if [ -z "$file" ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "ファイルが指定されていません"
	exit 0
fi
if [ "$SIZE" -eq 0 ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "空のファイルです"
	echo "ファイル名 : $file, サイズ : $SIZE bytes"
	echo ""
	exit 0
fi

if [ ! -e /dev/mmcblk0p3 ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "ファームウェアアップグレードの準備が出来ていません"
	exit 0
fi


dir="/var/tmp/upgrade"
if [ ! -e $dir ]; then
	mkdir -p $dir
fi
mount /dev/mmcblk0p3 $dir
if [ $? -ne 0 ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "ファームウェアアップグレードの準備が失敗しました"
	rm -rf $dir
	exit 0
fi

#dd of=$dir/$file ibs=1 obs=512 count=$SIZE

tmp_file="tmp1"

dd of=$dir/$tmp_file bs=1M

# remove last 2 lines
lines=`wc -l $dir/$tmp_file | awk '{print $1}'`
head -n $((lines - 2)) $dir/$tmp_file > $dir/$file

# last line in file : remove last CR,LF
tail -2 $dir/$tmp_file | head -n 1 | perl -p -i -e 's/\r\n$//' >> $dir/$file 2> /dev/null
rm -f $dir/$tmp_file

umount $dir

# setup/verify firmware files
/etc/update-pkg/fw_setup.sh $file
if [ $? -eq 0 ];then
	echo  "Content-Type: text/html"
	echo ""
	echo "アップロードに成功しました"
	echo "ファイル名 : $file, サイズ : $SIZE bytes"
else
	echo  "Content-Type: text/html"
	echo ""
	echo "正しいファームウェアではありません。"
	echo "ファイル名 : $file, サイズ : $SIZE bytes"
	echo ""
	echo "正しいファームウェアファイルを指定してください。"
fi

exit 0
