#!/bin/sh

#
# output status
#
if [ $REQUEST_METHOD != "POST" ]; then
    exit 0
fi

OIFS="$IFS"
read boundary
read disposition
read ctype
read junk

#Holy fuck, this sucks!
#Due to \n\r line breaks we have 2 extra bytes per line read, 
#6 + 2 newlines == 10 junk bytes
a=${#boundary}
b=${#disposition}
c=${#ctype}
a=$((a*2+b+c+d+10))
 
IFS="${IFS}&:"

# print env all for debug
#set $QUERY_STRING

dir="/www/pages/upload"

tmp=${disposition##*filename=\"}
file=${tmp%\"*}
 
SIZE=$((HTTP_CONTENT_LENGTH-a))


if [ -z "$file" ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "ファイルが指定されていません"
	exit 0
fi

ext=${file##*.}
if [ "$ext" != "ovpn" ] || [ "$ext" = "$file" ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "ファイル拡張子は .ovpnである必要があります"
	exit 0
fi

if [ "$SIZE" -eq 0 ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "空のファイルです"
	echo "ファイル名 : $file, サイズ : $SIZE bytes"
	exit 0
fi

# MAX size is 256k
if [ "$SIZE" -ge 262144 ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "ファイルサイズが大きすぎます"
	exit 0
fi

#sudo /bin/mount -o rw,remount /
/bin/dd ibs=1 obs=512 count=$SIZE of=$dir/$file

#
# install ovpn file to /etc/openvpn/
#
./ovpn_import.sh $dir/$file
if [ $? -eq 0 ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "OpenVPNクライアントファイルのインポートに成功しました"
	echo "ファイル名 : $file, サイズ : $SIZE bytes"
	echo ""
	echo "再起動するまで有効ではありません"
else
	echo  "Content-Type: text/html"
	echo ""
	echo "OpenVPNクライアントファイルのインポートに失敗しました ($?)"
	echo "ファイルの内容が不適切です"
	echo "ファイル名 : $file, サイズ : $SIZE bytes"
	echo ""
fi

$dir/$file

/bin/sync
#sudo /bin/mount -o ro,remount /

exit 0
