#!/bin/sh

# decode url
decode_str=`echo $QUERY_STRING | ./urldecode.pl`

# get params
saveIFS=$IFS
IFS='=&'
parm=($decode_str)
IFS=$saveIFS

# store to array
declare -A array
for ((i=0; i<${#parm[@]}; i+=2))
do
    array[${parm[i]}]=${parm[i+1]}
done

smtp=${array[smtp]}
user=${array[user]}
passwd=${array[passwd]}
myaddr=${array[myaddr]}
toaddr=${array[toaddr]}


if [ -z "$smtp" ] ||  [ -z "$user" ] ||  [ -z "$passwd" ]  ||  [ -z "$myaddr" ]  ||  [ -z "$toaddr" ]; then
        echo "失敗"
        exit 1
fi


echo "From : $myaddr, To : $toaddr"


echo "接点アラームのテストメールです。" | env LC_ALL=ja_JP.UTF-8 mailx -s "SCR1800からのテストメール" -S smtp-use-starttls -S ssl-verify=ignore -S smtp=$smtp:587 -S smtp-auth-user=$user -S smtp-auth-password=$passwd -S from=$myaddr $toaddr

sleep 2

if [ -e dead.letter ]; then
        rm -f dead.letter
        echo "失敗"
        exit 1
else
        echo "成功"
        exit 0
fi

