#!/bin/sh
# schedule reboot

config_file=/etc/setup-netcfg/user.cfg
rbt_log_file=/home/root/sched_rbt.log
tmp_file=/tmp/.tmp_rbt


# load config file
. $config_file

if [ "$rb_cfg" = "disable" ]; then
	exit 0
fi

if [ -f $rbt_log_file ]; then
	tail -n 20 $rbt_log_file > $tmp_file
	mv $tmp_file $rbt_log_file
fi
if [ "$rb_cfg" = "month" ]; then
	echo "# `date +"%Y/%m/%d %H:%M:%S"` schedule reboot $rb_cfg, $rb_day, $rb_hour:$rb_minute." >> $rbt_log_file
else
	echo "# `date +"%Y/%m/%d %H:%M:%S"` schedule reboot $rb_cfg, $rb_periodic_day, $rb_periodic_hour:$rb_periodic_minute." >> $rbt_log_file
fi
/bin/sync

# !!!!!!!!!!
/sbin/reboot


exit 0
