#!/bin/sh

PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin"
config_file=/etc/setup-netcfg/user.cfg
prog_name=safiecam
sinp_file=/tmp/input_status
tmp_ps=/tmp/.tmp_ps


# load config file
. $config_file

if [ "$use_safie" != "1" ]; then
	exit 0
fi


# $1: pin(2/4/6:both), $2:port2, $3:port4
case "$1" in
2)
	echo "[{\"pin\":2,\"state\":$2}]" > $sinp_file
	;;
4)
	echo "[{\"pin\":4,\"state\":$3}]" > $sinp_file
	;;
6)
	echo "[{\"pin\":2,\"state\":$2},{\"pin\":4,\"state\":$3}]" > $sinp_file
	;;
esac


ps | grep $prog_name | grep "\-a" | awk '{print $1}' > $tmp_ps
while read line; do
	# send req
	/bin/kill -USR2 $line
done < $tmp_ps
if [ -e $tmp_ps ]; then
	rm $tmp_ps
fi

exit 0
