#!/bin/sh

# remove safie-token, add auto_safie

cfg_file="/etc/setup-netcfg/user.cfg"
cli_file="/tmp/.cli_info"
tmp_cfg="/tmp/.tmp_usr.cfg"
cli_sts_file="/tmp/temp_cli_sts"
prog_name="safiecam"

. $cfg_file
. $cli_file


if [ -z "$1" ]; then
	echo "please input safie-token"
	exit 1
fi

if [ "$1" = "$scr_tk" ]; then
	# change user.cfg
	grep -v "scr_tk" $cfg_file | grep -v "auto_safie" > $tmp_cfg
	echo "scr_tk=\"\"" >> $tmp_cfg
	echo "auto_safie=\"1\"" >> $tmp_cfg
	mv $tmp_cfg $cfg_file

elif [ "$1" = "$cam1_tk" ]; then
	# change user.cfg
	grep -v "cam1_tk" $cfg_file | grep -v "auto_safie" > $tmp_cfg
	echo "cam1_tk=\"\"" >> $tmp_cfg
	echo "auto_safie=\"1\"" >> $tmp_cfg
	mv $tmp_cfg $cfg_file

elif [ "$1" = "$cam2_tk" ]; then
	# change user.cfg
	grep -v "cam2_tk" $cfg_file | grep -v "auto_safie" > $tmp_cfg
	echo "cam2_tk=\"\"" >> $tmp_cfg
	echo "auto_safie=\"1\"" >> $tmp_cfg
	mv $tmp_cfg $cfg_file

elif [ "$1" = "$cam3_tk" ]; then
	# change user.cfg
	grep -v "cam3_tk" $cfg_file | grep -v "auto_safie" > $tmp_cfg
	echo "cam3_tk=\"\"" >> $tmp_cfg
	echo "auto_safie=\"1\"" >> $tmp_cfg
	mv $tmp_cfg $cfg_file

elif [ "$1" = "$cam4_tk" ]; then
	# change user.cfg
	grep -v "cam4_tk" $cfg_file | grep -v "auto_safie" > $tmp_cfg
	echo "cam4_tk=\"\"" >> $tmp_cfg
	echo "auto_safie=\"1\"" >> $tmp_cfg
	mv $tmp_cfg $cfg_file

else
	echo "not found token"
	exit 1
fi

# kill safie-start-script
tmp=`ps | grep "start_safie" | grep -v "grep"`
if [ $? = 0 ]; then
	pid=`echo $tmp | awk '{print $1}' | sed -n -e 1p`
	kill -9 "$pid"
fi
# remove client status
if [ -e $cli_sts_file ]; then
	rm $cli_sts_file
fi

sync

exit 0

