#!/bin/sh

src_file="/etc/resolv.conf"
tmp_file="/var/tmp/.resolv.conf"

if [ ! -e "$src_file" ]; then
	exit 0
fi

cp $src_file $tmp_file

stamp=`date`

head -n 1 $tmp_file | grep "^#" &> /dev/null
if [ $? -eq 0 ]; then
	sed -e '1d' $tmp_file | sed -e "1i # $stamp" > $src_file
else
	sed -e "1i # $stamp" $tmp_file > $src_file
fi

rm -f $tmp_file
