#!/bin/sh

OIFS="$IFS"
read boundary
read disposition
read ctype
read junk

#Holy fuck, this sucks!
#Due to \n\r line breaks we have 2 extra bytes per line read, 
#6 + 2 newlines == 10 junk bytes
 
a=${#boundary}
b=${#disposition}
c=${#ctype}
a=$((a*2+b+c+d+10))
 
IFS="${IFS}&:"

# print env all for debug
#set $QUERY_STRING

MAGIC_STRING="SCR1800_CFG_FILE"
dir="/var/tmp"
passfile="/etc/lighttpd/.lighttpdpassword.default"
tmpcfg="/var/tmp/.temp.cfg"
work="/var/tmp/upld"
tmptar="/var/tmp/upld/tmp_tar"
tmpcfg_src="/var/tmp/upld/var/tmp/.temp.cfg"
tmptxt_src="/var/tmp/upld/www/pages/mail/*"
tmptxt_dst="/www/pages/mail/"


tmp=${disposition##*filename=\"}
file=${tmp%\"*}
 
SIZE=$((HTTP_CONTENT_LENGTH-a))

if [ -z "$file" ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "ファイルが指定されていません"
	exit 1
fi
if [ "$SIZE" -eq 0 ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "空のファイルです"
	echo "ファイル名 : $file, サイズ : $SIZE bytes"
	exit 1
fi

/bin/dd ibs=1 obs=512 count=$SIZE of=$dir/$file
mkdir -p $work
cd $work
/usr/bin/openssl enc -d -aes-256-cbc -in $dir/$file -out $tmptar -pass file:$passfile
tar -tf $tmptar >/dev/null
if [ $? -eq 0 ]; then
	tar -xf $tmptar
	mv $tmpcfg_src $tmpcfg
	mv $tmptxt_src $tmptxt_dst
else
	mv $tmptar $tmpcfg
fi
cd ..
rm -fr $work

rm $dir/$file

magic=`head -n 1 $tmpcfg | awk '{print $2}'`
if [ -z "$magic" ] || [ "$magic" != $MAGIC_STRING ]; then
	echo  "Content-Type: text/html"
	echo ""
	echo "不適切な設定ファイルが指定されています"
	echo "ファイル名 : $file, サイズ : $SIZE bytes"

	rm $tmpcfg
	exit 1
fi

# response html
echo  "Content-Type: text/html"
echo ""
 
echo "アップロードに成功しました"
echo "ファイル名 : $file, サイズ : $SIZE bytes"
echo ""
echo "再起動するまで有効ではありません"


#sudo /bin/mount -o rw,remount /

grep -v $MAGIC_STRING $tmpcfg > /www/pages/user.cfg
touch /www/pages/.import_cfg
rm $tmpcfg

/bin/sync
#sudo /bin/mount -o ro,remount /

exit 0
