#!/bin/sh

# get params
saveIFS=$IFS
IFS='=&'
parm=($QUERY_STRING)
IFS=$saveIFS

# store to array
declare -A array
for ((i=0; i<${#parm[@]}; i+=2))
do
    array[${parm[i]}]=${parm[i+1]}
done

conf=${array[conf]}

if [ -n "$conf" ]; then
	sudo /bin/rm -f  /etc/openvpn/$conf.conf
	sudo /bin/rm -rf /etc/openvpn/$conf
fi

